diff -EbwBru 6.0.0.M1/org/jboss/mx/server/MethodMapper.java trunk/org/jboss/mx/server/MethodMapper.java
--- 6.0.0.M1/org/jboss/mx/server/MethodMapper.java	2009-11-30 14:39:19.000000000 -0600
+++ trunk/org/jboss/mx/server/MethodMapper.java	2009-12-10 12:42:25.000000000 -0600
@@ -39,8 +39,9 @@
  * @author <a href="mailto:juha@jboss.org">Juha Lindfors</a>
  * @author <a href="mailto:scott.stark@jboss.org">Scott Stark</a>
  * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
+@SuppressWarnings("unchecked")
 public class MethodMapper
 {
    // Attributes ----------------------------------------------------
@@ -51,6 +52,9 @@
    
    /**
     * Generates a signature string for an attribute getter method using standard rules
+    * 
+    * @param info the info
+    * @return signature
     */
    public static String getterSignature(MBeanAttributeInfo info)
    {
@@ -78,6 +82,9 @@
 
    /**
     * Generates a signature string for an attribute setter method using standard rules
+    * 
+    * @param info the info
+    * @return signature
     */
    public static String setterSignature(MBeanAttributeInfo info)
    {
@@ -106,6 +113,9 @@
 
    /**
     * Generates a signature string using the operation info.
+    * 
+    * @param info the info
+    * @return signature
     */
    public static String operationSignature(MBeanOperationInfo info)
    {
@@ -125,6 +135,9 @@
 
    /**
     * Generates a signature string using a Method object.
+    * 
+    * @param method the method
+    * @return signature
     */
    public static String methodSignature(Method method)
    {
@@ -144,6 +157,11 @@
 
    /**
     * Generates a signature string using the supplied signature arguments.
+    * 
+    * @param returnType the return type
+    * @param name the name
+    * @param signature the signature
+    * @return signature
     */
    public static String methodSignature(String returnType, String name, String[] signature)
    {
@@ -206,6 +224,8 @@
    
    /**
     * Constructs a mapper by reflecting on the class.
+    * 
+    * @param resourceClass the resource class
     */
    public MethodMapper(Class resourceClass)
    {
@@ -217,6 +237,9 @@
    
    /**
     * Return a method matching the signature defined in the operation info
+    * 
+    * @param info the info
+    * @return the method
     */
    public Method lookupOperation(MBeanOperationInfo info)
    {
@@ -230,6 +253,9 @@
 
    /**
     * Return a method matching the getter signature expected for an attribute.
+    * 
+    * @param info the info
+    * @return the method
     */
    public Method lookupGetter(MBeanAttributeInfo info)
    {
@@ -243,6 +269,9 @@
 
    /**
     * Return a method matching the setter signature expected for an attribute
+    * 
+    * @param info the info
+    * @return the method
     */
    public Method lookupSetter(MBeanAttributeInfo info)
    {
@@ -256,6 +285,11 @@
 
    /**
     * Return a method matching the specified signature
+    * 
+    * @param returnType the return type
+    * @param name the name
+    * @param signature the signature
+    * @return the method
     */
    public Method lookupMethod(String returnType, String name, String[] signature)
    {
@@ -281,6 +315,9 @@
    
    /**
     * creates the signature string to Method HashMap.
+    * 
+    * @param resourceClass the resource class
+    * @return the map
     */
    protected HashMap createMap(Class resourceClass)
    {
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/ObjectInputStreamWithClassLoader.java trunk/org/jboss/mx/server/ObjectInputStreamWithClassLoader.java
--- 6.0.0.M1/org/jboss/mx/server/ObjectInputStreamWithClassLoader.java	2009-11-30 14:31:24.000000000 -0600
+++ trunk/org/jboss/mx/server/ObjectInputStreamWithClassLoader.java	2009-12-10 12:42:44.000000000 -0600
@@ -63,8 +63,9 @@
     /**
     * Construct a new instance with the given classloader and input stream.
     *
-    * @param  ClassLoader      classloader to use
-    * @param  InputStream      stream to read objects from
+    * @param  cl      classloader to use
+    * @param  in      stream to read objects from
+    * @throws IOException for any error
     */
     public ObjectInputStreamWithClassLoader(InputStream in, ClassLoader cl)
          throws IOException {
@@ -88,21 +89,21 @@
     * default classloader (implemented by the super class). If it cannot
     * load the class, try the classloader given to this instance.
     *
-    * @param  ObjectStreamClass     class description object
+    * @param  osc     class description object
     * @return      the Class corresponding to class description
     * @exception   IOException     if an I/O error occurs
     * @exception   ClassNotFoundException  if the class cannot be found by the classloader
     */
-    protected Class resolveClass(ObjectStreamClass osc)
+    protected Class<?> resolveClass(ObjectStreamClass osc)
         throws IOException, ClassNotFoundException {
 
         return cl.loadClass(osc.getName());
     }
     
-    protected Class resolveProxyClass( String[] interfaces )
+    protected Class<?> resolveProxyClass( String[] interfaces )
        	throws IOException, ClassNotFoundException {
 		
-		Class[] interfacesClass = new Class[interfaces.length];
+		Class<?>[] interfacesClass = new Class[interfaces.length];
 		for( int i=0; i< interfaces.length; i++ )
 		{
 			interfacesClass[i] = Class.forName(interfaces[i], false, cl);
Only in trunk/org/jboss/mx/server: PropertyAccess.java
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/registry/BasicMBeanRegistry.java trunk/org/jboss/mx/server/registry/BasicMBeanRegistry.java
--- 6.0.0.M1/org/jboss/mx/server/registry/BasicMBeanRegistry.java	2009-11-30 14:38:47.000000000 -0600
+++ trunk/org/jboss/mx/server/registry/BasicMBeanRegistry.java	2009-12-10 12:42:44.000000000 -0600
@@ -26,6 +26,9 @@
 import java.util.List;
 import java.util.Map;
 import java.util.Vector;
+import java.util.concurrent.ConcurrentHashMap;
+import java.util.concurrent.atomic.AtomicLong;
+
 import javax.management.Descriptor;
 import javax.management.DynamicMBean;
 import javax.management.InstanceAlreadyExistsException;
@@ -49,9 +52,6 @@
 import javax.management.modelmbean.ModelMBeanInfo;
 import javax.management.modelmbean.RequiredModelMBean;
 
-import EDU.oswego.cs.dl.util.concurrent.ConcurrentReaderHashMap;
-import EDU.oswego.cs.dl.util.concurrent.SynchronizedLong;
-
 import org.jboss.classloading.spi.RealClassLoader;
 import org.jboss.logging.Logger;
 import org.jboss.mx.loading.LoaderRepository;
@@ -84,8 +84,9 @@
  * @author  <a href="mailto:jhaynie@vocalocity.net">Jeff Haynie</a>.
  * @author  <a href="mailto:thomas.diesler@jboss.com">Thomas Diesler</a>.
  *
- * @version $Revision: 85294 $
+ * @version $Revision: 94665 $
  */
+@SuppressWarnings("unchecked")
 public class BasicMBeanRegistry
    implements MBeanRegistry
 {
@@ -104,7 +105,7 @@
     * key properties to registry entries.
     * domain -> canonicalKeyProperties -> MBeanEntry
     */
-   private Map domainMap = new ConcurrentReaderHashMap();
+   private Map domainMap = new ConcurrentHashMap();
 
    /**
     * The default domain for this registry
@@ -124,12 +125,12 @@
    /**
     * Sequence number for the MBean server registration notifications.
     */
-   protected final SynchronizedLong registrationNotificationSequence = new SynchronizedLong (1);
+   protected final AtomicLong registrationNotificationSequence = new AtomicLong (1);
 
    /**
     * Sequence number for the MBean server unregistration notifications.
     */
-   protected final SynchronizedLong unregistrationNotificationSequence = new SynchronizedLong (1);
+   protected final AtomicLong unregistrationNotificationSequence = new AtomicLong (1);
 
    /**
     * Direct reference to the mandatory MBean server delegate MBean.
@@ -152,6 +153,9 @@
 
    /**
     * Constructs a new BasicMBeanRegistry.<p>
+    * @param server 
+    * @param defaultDomain 
+    * @param clr 
     */
    public BasicMBeanRegistry(MBeanServer server, String defaultDomain, ClassLoaderRepository clr)
    {
@@ -186,17 +190,16 @@
          throw new RuntimeOperationsException(
                new IllegalArgumentException("Attempting to register null object"));
 
-      // get mbean type, dynamic or standard
-      MBeanCapability mbcap = MBeanCapability.of(object.getClass());
-
       try
       {
 
          if (valueMap != null)
             magicToken = (String) valueMap.get(JMI_DOMAIN);
 
+         // get mbean type, dynamic or standard
+         int mbeanType = MBeanCapability.of(object.getClass());
+
          // TODO: allow custom factory for diff invoker types
-         int mbeanType = mbcap.getMBeanType();
          if (mbeanType == MBeanCapability.STANDARD_MBEAN)
          {
             invoker = new XMBean(object, XMBeanConstants.STANDARD_MBEAN);
@@ -387,7 +390,7 @@
      */
     protected void sendRegistrationNotification (ObjectName regName)
     {
-        long sequence = registrationNotificationSequence.increment ();
+        long sequence = registrationNotificationSequence.incrementAndGet();
         delegate.sendNotification (
                 new MBeanServerNotification (
                         MBeanServerNotification.REGISTRATION_NOTIFICATION,
@@ -493,7 +496,7 @@
    */
   protected void sendUnRegistrationNotification (ObjectName name)
   {
-      long sequence = unregistrationNotificationSequence.increment ();
+      long sequence = unregistrationNotificationSequence.incrementAndGet();
 
       delegate.sendNotification (
               new MBeanServerNotification (
@@ -623,6 +626,19 @@
       // Now we have to do a brute force, oh well.
       else
       {
+         // We need to preprocess any implied DefaultDomain in the pattern since the apply() doesn't understand it
+         if (pattern.getDomain().length() == 0)
+         {
+            try
+            {
+               pattern = new ObjectName(defaultDomain + pattern.toString());
+            }
+            catch (MalformedObjectNameException e)
+            {
+               log.warn("Unable to add default domain '" + defaultDomain + "' to " + pattern);
+            }
+         }
+         
          // Here we go, step through every domain and see if our pattern matches before optionally checking
          // each ObjectName's properties for a match.
          for (Iterator domainIter = domainMap.entrySet().iterator(); domainIter.hasNext();)
@@ -853,6 +869,12 @@
    /**
     * Adds the given MBean Info object to the persistence queue if it explicity denotes
     * (via metadata) that it should be stored.
+    * @param info 
+    * @param name 
+    * @throws MalformedObjectNameException 
+    * @throws InstanceNotFoundException 
+    * @throws MBeanException 
+    * @throws ReflectionException 
     * @todo -- add notification of registration of MBeanInfoDb.
     *   It is possible that some MBeans whose MBean Info should be stored are
     *   registered before the MBean Info Storage delegate is available.  These
@@ -931,6 +953,7 @@
    /**
     * ObjectName objects bound to MBean Info objects that are waiting to be stored in the
     * persistence store.
+    * @return the store
     */
    protected Vector mbInfosToStore()
    {
@@ -956,7 +979,7 @@
       Map mbeanMap = (Map) domainMap.get(domain);
       if (mbeanMap == null && createIfMissing)
       {
-        mbeanMap = new ConcurrentReaderHashMap();
+        mbeanMap = new ConcurrentHashMap();
         domainMap.put(domain, mbeanMap);
       }
       return mbeanMap;
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/registry/MBeanEntry.java trunk/org/jboss/mx/server/registry/MBeanEntry.java
--- 6.0.0.M1/org/jboss/mx/server/registry/MBeanEntry.java	2009-11-30 14:39:19.000000000 -0600
+++ trunk/org/jboss/mx/server/registry/MBeanEntry.java	2009-12-10 12:42:25.000000000 -0600
@@ -31,12 +31,10 @@
 /**
  * info@todo this docs
  *
- * @see org.jboss.mx.server.registry.MBeanRegistry
- * @see org.jboss.mx.server.MBeanServerImpl
- *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
+@SuppressWarnings("unchecked")
 public class MBeanEntry
    implements ServerConstants
 {
@@ -172,7 +170,7 @@
    /**
     * Retrieve a value from the map.
     *
-    * @return key the key to value
+    * @param key the key to value
     * @return the value or null if there is no entry
     */
    public Object getValue(String key)
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/registry/MbeanInfoDb.java trunk/org/jboss/mx/server/registry/MbeanInfoDb.java
--- 6.0.0.M1/org/jboss/mx/server/registry/MbeanInfoDb.java	2009-11-30 14:39:19.000000000 -0600
+++ trunk/org/jboss/mx/server/registry/MbeanInfoDb.java	2009-12-10 12:42:25.000000000 -0600
@@ -36,6 +36,7 @@
  * Persistence Interceptor.
  * @author Matt Munz
  */
+@SuppressWarnings("unchecked")
 public class MbeanInfoDb extends Object
 {
    protected Vector fMbInfosToStore;
@@ -58,6 +59,8 @@
    /**
     * ObjectName objects bound to MBean Info objects that are waiting to be stored in the 
     * persistence store.
+    * 
+    * @return the vector
     */
    protected Vector mbInfosToStore()
    {
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/registry/MBeanRegistry.java trunk/org/jboss/mx/server/registry/MBeanRegistry.java
--- 6.0.0.M1/org/jboss/mx/server/registry/MBeanRegistry.java	2009-11-30 14:38:47.000000000 -0600
+++ trunk/org/jboss/mx/server/registry/MBeanRegistry.java	2009-12-10 12:42:44.000000000 -0600
@@ -31,6 +31,8 @@
 import javax.management.ObjectInstance;
 import javax.management.ObjectName;
 
+import org.jboss.mx.server.ServerConstants;
+
 /**
  * Implementations of this interface can be plugged into the MBeanServer,
  * to control the registration and deregistration of MBeans. <p>
@@ -43,7 +45,7 @@
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
  * @author  <a href="mailto:trevor@protocool.com">Trevor Squires</a>.
  * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
- * @version $Revision: 81022 $
+ * @version $Revision: 85671 $
  *
  * @see MBeanEntry
  */
@@ -86,6 +88,7 @@
     * @exception NotCompliantMBeanException when the passed object is
     *            a valid mbean.
     */
+   @SuppressWarnings("unchecked")
    ObjectInstance registerMBean(Object object, ObjectName name, Map valueMap)
       throws InstanceAlreadyExistsException, 
              MBeanRegistrationException, 
@@ -189,7 +192,8 @@
     * @param pattern the pattern to match
     * @return a List of entries matching the pattern
     */
-   public List findEntries(ObjectName pattern);
+   @SuppressWarnings("unchecked")
+   List findEntries(ObjectName pattern);
    
    /**
     * Retrieve the number of mbeans registered.<p>
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/ServerConfig.java trunk/org/jboss/mx/server/ServerConfig.java
--- 6.0.0.M1/org/jboss/mx/server/ServerConfig.java	2009-11-30 14:31:24.000000000 -0600
+++ trunk/org/jboss/mx/server/ServerConfig.java	2009-12-10 12:42:44.000000000 -0600
@@ -24,7 +24,6 @@
 import javax.management.MBeanServerBuilder;
 import javax.management.ObjectName;
 
-import org.jboss.mx.standardmbean.StandardMBeanDelegateFactory;
 import org.jboss.mx.util.ObjectNameFactory;
 import org.jboss.util.Classes;
 
@@ -32,7 +31,7 @@
  * Server configuration.
  * 
  * @author  <a href="mailto:adrian@jboss.com">Adrian Brock</a>.
- * @version $Revision: 81019 $
+ * @version $Revision: 86129 $
  */
 public abstract class ServerConfig
 {
@@ -135,13 +134,6 @@
     */
    public abstract ObjectName getLoaderRepositoryName();
 
-   /**
-    * Get the standardmbean delegate factory
-    * 
-    * @return the factory
-    */
-   public abstract StandardMBeanDelegateFactory getStandardMBeanDelegateFactory();
-   
    // Protected ---------------------------------------------------
 
    protected abstract String getDefaultMBeanServerBuilderClassName();
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/ServerConstants.java trunk/org/jboss/mx/server/ServerConstants.java
--- 6.0.0.M1/org/jboss/mx/server/ServerConstants.java	2009-11-30 14:31:24.000000000 -0600
+++ trunk/org/jboss/mx/server/ServerConstants.java	2009-12-10 12:42:25.000000000 -0600
@@ -27,12 +27,9 @@
  * Different JMX service specific constants should be added to the <tt>ServiceConstants</tt>
  * interface.
  *
- * @see org.jboss.mx.service.ServiceConstants
- * @see org.jboss.mx.server.MBeanServerImpl
- *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
  * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
- * @version $Revision: 81019 $
+ * @version $Revision: 86129 $
  *   
  */
 public interface ServerConstants
@@ -95,12 +92,12 @@
    /**
     * The version of the implementation. This value can be retrieved from the MBean server delegate.
     */
-   final static String IMPLEMENTATION_VERSION             =  "4.0.0";
+   final static String IMPLEMENTATION_VERSION             =  "6.0";
    
    /**
     * The vendor of the implementation. This value can be retrieved from the MBean server delegate.
     */
-   final static String IMPLEMENTATION_VENDOR              = "JBoss Organization";
+   final static String IMPLEMENTATION_VENDOR              = "Red Hat Enterprise Middleware LLC";
    
    
    // System properties ---------------------------------------------
@@ -120,7 +117,7 @@
    /**
     * This constant defines the default Model MBean implementation used for spec
     * required Model MBean (<tt>javax.management.modelmbean.RequiredModelMBean</tt>)
-    * instance. Defaults to {@link org.jboss.mx.modelmbean.XMBean} implementation.
+    * instance. Defaults to org.jboss.mx.modelmbean.XMBean implementation.
     */
    final static String DEFAULT_REQUIRED_MODELMBEAN_CLASS  = "org.jboss.mx.modelmbean.XMBean";
    
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/TCLAction.java trunk/org/jboss/mx/server/TCLAction.java
--- 6.0.0.M1/org/jboss/mx/server/TCLAction.java	2009-11-30 14:39:19.000000000 -0600
+++ trunk/org/jboss/mx/server/TCLAction.java	2009-12-10 12:42:25.000000000 -0600
@@ -26,7 +26,7 @@
 
 /**
  * @author <a href="mailto:alex@jboss.org">Alexey Loubyansky</a>
- * @version <tt>$Revision: 81026 $</tt>
+ * @version <tt>$Revision: 85671 $</tt>
  */
 interface TCLAction
 {
@@ -83,9 +83,9 @@
 
    TCLAction PRIVILEGED = new TCLAction()
    {
-      private final PrivilegedAction getTCLPrivilegedAction = new PrivilegedAction()
+      private final PrivilegedAction<ClassLoader> getTCLPrivilegedAction = new PrivilegedAction<ClassLoader>()
       {
-         public Object run()
+         public ClassLoader run()
          {
             return Thread.currentThread().getContextClassLoader();
          }
@@ -93,14 +93,14 @@
 
       public ClassLoader getContextClassLoader()
       {
-         return (ClassLoader)AccessController.doPrivileged(getTCLPrivilegedAction);
+         return AccessController.doPrivileged(getTCLPrivilegedAction);
       }
 
       public ClassLoader getContextClassLoader(final Thread thread)
       {
-         return (ClassLoader)AccessController.doPrivileged(new PrivilegedAction()
+         return AccessController.doPrivileged(new PrivilegedAction<ClassLoader>()
          {
-            public Object run()
+            public ClassLoader run()
             {
                return thread.getContextClassLoader();
             }
@@ -110,7 +110,7 @@
       public void setContextClassLoader(final ClassLoader cl)
       {
          AccessController.doPrivileged(
-            new PrivilegedAction()
+            new PrivilegedAction<Object>()
             {
                public Object run()
                {
@@ -124,7 +124,7 @@
       public void setContextClassLoader(final Thread thread, final ClassLoader cl)
       {
          AccessController.doPrivileged(
-            new PrivilegedAction()
+            new PrivilegedAction<Object>()
             {
                public Object run()
                {
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/TimeoutException.java trunk/org/jboss/mx/server/TimeoutException.java
--- 6.0.0.M1/org/jboss/mx/server/TimeoutException.java	2009-11-30 14:39:19.000000000 -0600
+++ trunk/org/jboss/mx/server/TimeoutException.java	2009-12-10 12:42:26.000000000 -0600
@@ -23,12 +23,15 @@
 
 /**
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  *   
  */
 public class TimeoutException
    extends Exception
 {
+   /** The serialVersionUID */
+   private static final long serialVersionUID = -5392945073280632822L;
+
    public TimeoutException()
    {
       super();
Only in 6.0.0.M1/org/jboss/mx: standardmbean
Only in 6.0.0.M1/org/jboss/mx: timer
Only in 6.0.0.M1/org/jboss/mx/util: AgentID.java
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/JBossNotCompliantMBeanException.java trunk/org/jboss/mx/util/JBossNotCompliantMBeanException.java
--- 6.0.0.M1/org/jboss/mx/util/JBossNotCompliantMBeanException.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/util/JBossNotCompliantMBeanException.java	2009-12-10 12:42:26.000000000 -0600
@@ -37,13 +37,15 @@
  * Created: Tues Feb  18 22:45:03 2003
  *
  * @author <a href="mailto:d_jencks@users.sourceforge.net">David Jencks</a>
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
 
 public class JBossNotCompliantMBeanException
    extends NotCompliantMBeanException
            //implements NestedThrowable
 {
+   /** The serialVersionUID */
+   private static final long serialVersionUID = 7441880585611238427L;
 
    private final Throwable t;
 
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/JBossNotificationBroadcasterSupport.java trunk/org/jboss/mx/util/JBossNotificationBroadcasterSupport.java
--- 6.0.0.M1/org/jboss/mx/util/JBossNotificationBroadcasterSupport.java	2009-11-30 14:31:27.000000000 -0600
+++ trunk/org/jboss/mx/util/JBossNotificationBroadcasterSupport.java	2009-12-10 12:42:21.000000000 -0600
@@ -21,6 +21,8 @@
  */
 package org.jboss.mx.util;
 
+import java.util.concurrent.atomic.AtomicLong;
+
 import javax.management.JMException;
 import javax.management.ListenerNotFoundException;
 import javax.management.MBeanNotificationInfo;
@@ -33,14 +35,12 @@
 import org.jboss.mx.notification.ListenerRegistration;
 import org.jboss.mx.notification.ListenerRegistry;
 
-import EDU.oswego.cs.dl.util.concurrent.SynchronizedLong;
-
 /**
  * A helper class for notification broadcasters/emitters
  *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
  * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
- * @version $Revision: 81019 $
+ * @version $Revision: 85671 $
  */
 public class JBossNotificationBroadcasterSupport implements NotificationEmitter
 {
@@ -54,7 +54,7 @@
    private ListenerRegistry registry = new ListenerRegistry();
    
    /** Sequence number for jmx notifications we send out */ 
-   private SynchronizedLong sequenceNumber = new SynchronizedLong(0);   
+   private AtomicLong sequenceNumber = new AtomicLong(0);   
 
    /**
     * Construct the new notification broadcaster support object
@@ -140,6 +140,6 @@
     */
    public long nextNotificationSequenceNumber()
    {
-      return sequenceNumber.increment();
+      return sequenceNumber.incrementAndGet();
    }   
 }
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/JBossNotificationFilterSupport.java trunk/org/jboss/mx/util/JBossNotificationFilterSupport.java
--- 6.0.0.M1/org/jboss/mx/util/JBossNotificationFilterSupport.java	2009-11-30 14:31:27.000000000 -0600
+++ trunk/org/jboss/mx/util/JBossNotificationFilterSupport.java	2009-12-10 12:42:21.000000000 -0600
@@ -22,7 +22,6 @@
 package org.jboss.mx.util;
 
 import java.io.Serializable;
-import java.util.Iterator;
 import java.util.List;
 import java.util.Vector;
 
@@ -48,7 +47,7 @@
  * be done with it.
  *  
  * @author  <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>.
- * @version $Revision: 81019 $
+ * @version $Revision: 85671 $
  * @since 4.0.3
  */
 public class JBossNotificationFilterSupport
@@ -63,7 +62,7 @@
    /**
     * Enabled notification types.
     */
-   private List enabledTypes;
+   private List<String> enabledTypes;
 
    // Static ------------------------------------------------------
 
@@ -135,6 +134,7 @@
     *
     * @return the vector of enabled types.
     */
+   @SuppressWarnings("unchecked")
    public Vector getEnabledTypes()
    {
       return new Vector(enabledTypes);
@@ -170,9 +170,8 @@
       }
       // Check if it is enabled
       String notificationType = notification.getType();
-      for (Iterator i = enabledTypes.iterator(); i.hasNext(); )
+      for (String type : enabledTypes)
       {
-         String type = (String)i.next();
          if (notificationType.startsWith(type))
          {
             return true;
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/JMXExceptionDecoder.java trunk/org/jboss/mx/util/JMXExceptionDecoder.java
--- 6.0.0.M1/org/jboss/mx/util/JMXExceptionDecoder.java	2009-11-30 14:31:27.000000000 -0600
+++ trunk/org/jboss/mx/util/JMXExceptionDecoder.java	2009-12-10 12:42:21.000000000 -0600
@@ -28,7 +28,7 @@
  * JMX exceptions.
  *      
  * @author <a href="mailto:jason@planet57.com">Jason Dillon</a>
- * @version $Revision: 81019 $
+ * @version $Revision: 85671 $
  */
 public class JMXExceptionDecoder
 {
@@ -36,6 +36,9 @@
     * Attempt to decode the given Throwable.  If it
     * is a container JMX exception, then the target
     * is returned.  Otherwise the argument is returned.
+    * 
+    * @param t the initial throwable
+    * @return Throwable always
     */
    public static Throwable decode(final Throwable t)
    {
@@ -87,6 +90,9 @@
     * Decode and rethrow the given Throwable.  If it
     * is a container JMX exception, then the target
     * is thrown.  Otherwise the argument is thrown.
+    * 
+    * @param e the excetion to rethrow
+    * @throws Exception the decoded exception
     */
    public static void rethrow(final Exception e)
       throws Exception
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/JMXInvocationHandler.java trunk/org/jboss/mx/util/JMXInvocationHandler.java
--- 6.0.0.M1/org/jboss/mx/util/JMXInvocationHandler.java	2009-11-30 14:31:27.000000000 -0600
+++ trunk/org/jboss/mx/util/JMXInvocationHandler.java	2009-12-10 12:42:21.000000000 -0600
@@ -51,7 +51,7 @@
  * Invocation handler for MBean proxies.
  *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
- * @version $Revision: 81019 $
+ * @version $Revision: 86129 $
  *   
  */
 public class JMXInvocationHandler 
@@ -79,7 +79,7 @@
    /**
     * MBean attribute meta data.
     */
-   private HashMap attributeMap          = new HashMap();
+   private HashMap<String, MBeanAttributeInfo> attributeMap = new HashMap<String, MBeanAttributeInfo>();
    
    /**
     * Indicates whether Object.toString() should be delegated to the resource
@@ -178,7 +178,7 @@
    public Object invoke(Object proxy, Method method, Object[] args) 
       throws Exception
    {
-      Class declaringClass = method.getDeclaringClass();
+      Class<?> declaringClass = method.getDeclaringClass();
       
       // Handle methods from Object class. If the target resource exposes 
       // operation metadata with same signature then the invocations will be
@@ -214,7 +214,7 @@
             String attrName = methodName.substring(3, methodName.length());
             
             // check that the metadata exists
-            MBeanAttributeInfo info = (MBeanAttributeInfo)attributeMap.get(attrName);
+            MBeanAttributeInfo info = attributeMap.get(attrName);
             if (info != null)
             {
                String retType  = method.getReturnType().getName();
@@ -233,10 +233,10 @@
             String attrName = methodName.substring(2, methodName.length());
             
             // check that the metadata exists
-            MBeanAttributeInfo info = (MBeanAttributeInfo)attributeMap.get(attrName);
+            MBeanAttributeInfo info = attributeMap.get(attrName);
             if (info != null && info.isIs())
             {
-               Class retType = method.getReturnType();
+               Class<?> retType = method.getReturnType();
                
                // check for correct return type on the getter
                if (retType.equals(Boolean.class) || retType.equals(Boolean.TYPE))
@@ -252,12 +252,12 @@
             String attrName = methodName.substring(3, methodName.length());
             
             // check that the metadata exists
-            MBeanAttributeInfo info = (MBeanAttributeInfo)attributeMap.get(attrName);
+            MBeanAttributeInfo info = attributeMap.get(attrName);
             if (info != null && method.getReturnType().equals(Void.TYPE))
             {
                ClassLoader cl = Thread.currentThread().getContextClassLoader();
                
-               Class signatureClass = null;
+               Class<?> signatureClass = null;
                String classType     = info.getType();
                
                if (isPrimitive(classType))
@@ -278,7 +278,7 @@
          if (args != null)
          {
             signature = new String[args.length];
-            Class[] sign = method.getParameterTypes();
+            Class<?>[] sign = method.getParameterTypes();
             
             for (int i = 0; i < sign.length; ++i)
                signature[i] = sign[i].getName();
@@ -353,7 +353,7 @@
    
    public String toString() 
    {
-      return "MBeanProxy for " + objectName + " (Agent ID: " + AgentID.get(server) + ")";
+      return "MBeanProxy for " + objectName;
    }
    
    
@@ -443,7 +443,7 @@
       return false;
    }
 
-   private Class getPrimitiveClass(String type)
+   private Class<?> getPrimitiveClass(String type)
    {
       if (type.equals(Integer.TYPE.getName()))  return Integer.TYPE;
       if (type.equals(Long.TYPE.getName()))     return Long.TYPE;
Only in 6.0.0.M1/org/jboss/mx/util: MBeanInstaller.java
